/* Reset e configurações básicas */
* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  font-family: 'Poppins', sans-serif;
}

html {
  scroll-behavior: smooth;
  background: #1f2020;
}

body {
  margin: 0;
  padding: 0;
  color: #ffffff;
  background: url('../img/background.jpg') no-repeat center center fixed;
  background-size: cover;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
}

/* Estilização do card principal */
.container {
  max-width: 800px;
  background: rgba(0, 0, 0, 0.6);
  padding: 20px;
  border-radius: 10px;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.5);
  margin: 0 15px 20px;
}

.logo {
  width: 22rem;
  margin-bottom: 20px;
}

h1 {
  font-size: 2.5rem;
  margin-bottom: 20px;
  text-transform: uppercase;
  letter-spacing: 2px;
}

p {
  font-size: 1.2rem;
  font-weight: 300;
  margin: 0;
}

/* Estilização do card de contatos */
.contacts {
  max-width: 800px;
  background: rgba(0, 0, 0, 0.5);
  padding: 15px;
  border-radius: 10px;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.5);
}

.contacts ul {
  list-style: none;
  margin: 0;
  padding: 0;
}

.contacts li {
  display: flex;
  align-items: center;
  margin: 10px 0;
  font-size: 1rem;
}

.contacts li i {
  font-size: 1.2rem;
  color: #25d366;
  margin-right: 10px;
}

/* Whatsapp button */
#whatsapp .wtsapp {
  position: fixed;
  transition: all .5s ease;
  background: #25d366;
  display: flex;
  justify-content: center;
  align-items: center;
  box-shadow: 0 0 20px rgba(0, 0, 0, 0.15);
  border-radius: 50%;
  bottom: 1.25rem;
  right: 1.25rem;
  border: 0;
  z-index: 1002;
  width: 3.25rem;
  height: 3.25rem;
}

#whatsapp .wtsapp i {
  color: #fff;
  font-weight: 700;
  font-size: 2rem;
}

#whatsapp .wtsapp:before {
  content: "";
  position: absolute;
  z-index: -1;
  left: 50%;
  top: 50%;
  transform: translateX(-50%) translateY(-50%);
  display: block;
  width: 3.75rem;
  height: 3.75rem;
  background: #25d366;
  border-radius: 50%;
  animation: pulse-border 1500ms ease-out infinite;
  animation-delay: 5s;
}

/* Responsividade */
@media (max-width: 768px) {
  h1 {
    font-size: 2rem;
  }

  p {
    font-size: 1rem;
  }

  .contacts li {
    font-size: 0.9rem;
  }
}

@media (max-width: 480px) {
  .container {
    padding: 15px;
  }

  .logo {
    width: 20rem;
  }

  h1 {
    font-size: 1.5rem;
  }

  p {
    font-size: 0.9rem;
  }

  .contacts li {
    font-size: 0.8rem;
  }
}

/* Animações */

@keyframes pulse-border {
  0% {
    transform: translateX(-50%) translateY(-50%) translateZ(0) scale(1);
    opacity: 1;
  }

  100% {
    transform: translateX(-50%) translateY(-50%) translateZ(0) scale(1.5);
    opacity: 0;
  }
}